<?php
/*********************************************************************************************
 * e107 PLUGIN: Auto Gallery
 * VERSION:     2.xx
 * DESCRIPTION: A very simple media gallery, where galleries are based on a directory
 *              structure. For the e107 CMS (http://e107.org).
 * WRITTEN BY:  Mr_Visible (www.cerebralsynergy.com)
 * DATE:        02/11/2006
 *
 * Released under the terms and conditions of the
 * GNU General Public License (http://gnu.org).
 ********************************************************************************************/

require_once(dirname(__FILE__)."/def.php");
require_once(dirname(__FILE__)."/admin_functions.php");
require_once(dirname(__FILE__)."/language.php");

require_once(e_ADMIN."auth.php");
if(!getperms("P")){ header("location:".e_BASE."index.php"); }
require_once(e_HANDLER."userclass_class.php");

###################
# SET PREFERENCES #
###################
if (IsSet($_POST['updatesettings']))
{
	$commsWas = $pref['autogal_latestcomms'];
	$commsNow = $_POST['autogal_latestcomms'];
	
    $pref['autogal_metacomments']      = $_POST['autogal_metacomments'];
	$pref['autogal_metacommentsbb']    = $_POST['autogal_metacommentsbb'];
    $pref['autogal_metaviewhits']	   = $_POST['autogal_metaviewhits'];
	$pref['autogal_metaemailhits']	   = $_POST['autogal_metaemailhits'];
	$pref['autogal_xmlsearch']	  	   = $_POST['autogal_xmlsearch'];
	$pref['autogal_metaratings']       = $_POST['autogal_metaratings'];
	$pref['autogal_rateclass']         = $_POST['autogal_rateclass'];
	$pref['autogal_rateiniframe']      = $_POST['autogal_rateiniframe'];
	$pref['autogal_rateiframeheight']  = $_POST['autogal_rateiframeheight'];
	$pref['autogal_arctopscores']      = $_POST['autogal_arctopscores'];
	$pref['autogal_arcmaxtopscores']   = $_POST['autogal_arcmaxtopscores'];
	$pref['autogal_latestcomms']       = $_POST['autogal_latestcomms'];
	$pref['autogal_maxlatestcomms']    = $_POST['autogal_maxlatestcomms'];
	$pref['autogal_lcmaxtextlength']   = $_POST['autogal_lcmaxtextlength'];
	$pref['autogal_lcstripbbcode']     = $_POST['autogal_lcstripbbcode'];
	$pref['autogal_arcadeusexmltrack'] = $_POST['autogal_arcadeusexmltrack'];
		
	save_prefs();
		
	if ((((!$commsWas)&&($commsNow))||($_POST['autogal_regencomms']))&&($pref['autogal_metacomments']))
	{
		if (AutoGal_RegenLatestComments($errorMsg, 1))
		{
			$message = "<b>".AUTOGAL_LANG_ADMIN_METADATA_L45."</b>";
		}
		else
		{
			$message = "<b>".AUTOGAL_LANG_ADMIN_METADATA_L46."</b><br />$errorMsg";
		}
	}
	else
	{
		$message = "<b>".AUTOGAL_LANG_ADMIN_METADATA_L1."</b>";
	}
}

if ($message)
{
    $ns -> tablerender("", "<div style='text-align:center'>$message</div>");
}

################
# INPUT FIELDS #
################
$text = "
<div style='text-align:center'>
<form method='post' name='autogal_xmladmin' action='".e_SELF."'>
<br />
<table style='width:97%' class='fborder'>
<tr style='vertical-align:top'>
    <td colspan='2' style='text-align:center' class='forumheader'>
        <b>".AUTOGAL_LANG_ADMIN_METADATA_L2."</b>
    </td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L7."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L8."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_metaviewhits'".($pref['autogal_metaviewhits'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L9."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L10."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_metaemailhits'".($pref['autogal_metaemailhits'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L11."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L12."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_xmlsearch'".($pref['autogal_xmlsearch'] ? " checked='true'" : "")."></td>
</tr>
</table>
<br />
<table style='width:97%' class='fborder'>
<tr style='vertical-align:top'>
    <td colspan='2' style='text-align:center' class='forumheader'>
        <b>".AUTOGAL_LANG_ADMIN_METADATA_L33."</b>
    </td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L5."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L6."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_metacomments'".($pref['autogal_metacomments'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L19."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L20."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_metacommentsbb'".($pref['autogal_metacommentsbb'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L34."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L35."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_latestcomms'".($pref['autogal_latestcomms'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L36."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L37."</span></td>
    <td style='width:50%' class='forumheader3'><input class='tbox' type='text' size='3' name='autogal_maxlatestcomms' value='".$pref['autogal_maxlatestcomms']."'></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L47."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L48."</span></td>
    <td style='width:50%' class='forumheader3'><input class='tbox' type='text' size='3' name='autogal_lcmaxtextlength' value='".$pref['autogal_lcmaxtextlength']."'></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L49."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L50."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_lcstripbbcode'".($pref['autogal_lcstripbbcode'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L43."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L44."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_regencomms'></td>
</tr>
</table>
<br />
<table style='width:97%' class='fborder'>
<tr style='vertical-align:top'>
    <td colspan='2' style='text-align:center' class='forumheader'>
        <b>".AUTOGAL_LANG_ADMIN_METADATA_L32."</b>
    </td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L24."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L25."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_metaratings'".($pref['autogal_metaratings'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L26."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L27."</span></td>
    <td style='width:50%' class='forumheader3'>".r_userclass("autogal_rateclass", $pref['autogal_rateclass'], 'off', 'public,member,guest,admin,classes,nobody,classes')."</td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L28."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L29."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_rateiniframe'".($pref['autogal_rateiniframe'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L30."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L31."</span></td>
    <td style='width:50%' class='forumheader3'><input class='tbox' type='text' size='5' name='autogal_rateiframeheight' value='".$pref['autogal_rateiframeheight']."'></td>
</tr>
</table>
<br />
<table style='width:97%' class='fborder'>
<tr style='vertical-align:top'>
    <td colspan='2' style='text-align:center' class='forumheader'>
        <b>".AUTOGAL_LANG_ADMIN_METADATA_L38."</b>
    </td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L39."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L40."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_arctopscores'".($pref['autogal_arctopscores'] ? " checked='true'" : "")."></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L41."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L42."</span></td>
    <td style='width:50%' class='forumheader3'><input class='tbox' type='text' size='3' name='autogal_arcmaxtopscores' value='".$pref['autogal_arcmaxtopscores']."'></td>
</tr>
<tr>
    <td style='width:50%' class='forumheader3'><b>".AUTOGAL_LANG_ADMIN_METADATA_L51."</b><br /><span class='smalltext'>".AUTOGAL_LANG_ADMIN_METADATA_L52."</span></td>
    <td style='width:50%' class='forumheader3'><input type='checkbox' name='autogal_arcadeusexmltrack'".($pref['autogal_arcadeusexmltrack'] ? " checked='true'" : "")."></td>
</tr>
</table>
<br />
<table style='width:97%' class='fborder'>
<tr style='vertical-align:top'>
    <td colspan='2'  style='text-align:center' class='forumheader'>
        <input class='button' type='submit' name='updatesettings' value='".AUTOGAL_LANG_ADMIN_METADATA_L13."' />
    </td>
</tr>
</table>
<br />
".AUTOGAL_LANG_ADMIN_METADATA_L23."<br />
<br />
".AUTOGAL_LANG_ADMIN_METADATA_L14."<br />
<br />
<u>".AUTOGAL_LANG_ADMIN_METADATA_L15."</u><br />
".AUTOGAL_LANG_ADMIN_METADATA_L16."<br />
<br />
<a href='http://www.cerebralsynergy.com'><img style='border:0' alt='Cerebral Synergy' src='".e_PLUGIN."autogallery/Images/button.png' /></a><br />
<a href='".AUTOGAL_SUPPORTLINK."'>".AUTOGAL_LANG_ADMIN_METADATA_L17."</a><br />
<br />
</form>
</div>";

$ns -> tablerender(AUTOGAL_LANG_ADMIN_METADATA_L18, $text);
require_once(e_ADMIN."footer.php");
