<?php
/*********************************************************************************************
 * e107 PLUGIN: Auto Gallery
 * VERSION:     2.xx
 * DESCRIPTION: A very simple media gallery, where galleries are based on a directory
 *              structure. For the e107 CMS (http://e107.org).
 * WRITTEN BY:  Mr_Visible (www.cerebralsynergy.com)
 * DATE:        02/11/2006
 *
 * Released under the terms and conditions of the
 * GNU General Public License (http://gnu.org).
 ********************************************************************************************/

require_once(dirname(__FILE__)."/def.php");
require_once(dirname(__FILE__)."/language.php");

$g_selElement = stripslashes(rawurldecode($_POST['show'] ? $_POST['show'] : $_GET['show']));
$g_absPath = str_replace("\\", "/", AutoGal_GetAbsGalPath($g_selElement));
$g_galAbsPath = str_replace("\\", "/", AutoGal_GetAbsGalPath(''));

if (!preg_match("/^".preg_quote($g_galAbsPath, '/')."/", $g_absPath))
{
	print "Invalid element: $g_galAbsPath $g_absPath";
	exit;
}
else if (!file_exists($g_absPath))
{
	print "Element $g_selElement does not exist!";
	exit;
}
else
{
	print AutoGal_GetNewWindowHeader('');
	
	$g_selEleInfo = AutoGal_GetElementInfo($g_selElement, true);
	$text = AutoGal_RatingHTML($g_selEleInfo);
	$ns->tablerender(str_replace('[TYPE]', $g_selEleInfo['filetypetitle'], AUTOGAL_LANG_RATING_L1), $text);
	print "</body>\n</html>";
	exit;
}

?>